new installation galaxy-17.05 - Uncaught error.

classic Classic list List threaded Threaded
10 messages Options
| Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

new installation galaxy-17.05 - Uncaught error.

fernandez Edgar

Hey Guys,

 

Hope everyone is doing ok.

 

I have a small issue with a brand new installation of galaxy-1705.

It starts properly and I installed some tools.

But when I try to test any tools I get and “Uncaught error” (see picture).

 

I can’t find anywhere in the logs what is happening.

 

Any ideas?

 

Regards,

 

Edgar Fernandez

System Administrator (Linux)

Technologies de l'Information

Université de Montréal

 

PAVILLON ROGER-GAUDRY, bureau X-210

(  Bur. : 1-514-343-6111 poste 16568

 


___________________________________________________________
Please keep all replies on the list by using "reply all"
in your mail client.  To manage your subscriptions to this
and other Galaxy lists, please use the interface at:
  https://lists.galaxyproject.org/

To search Galaxy mailing lists use the unified search at:
  http://galaxyproject.org/search/

galaxy17.05.uncaught.error.jpg (211K) Download Attachment
| Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: new installation galaxy-17.05 - Uncaught error.

SAPET, Frederic

Hi

 

Same for me.

But It looks like to be related with tools installed via the toolshed (Ie : bedtools, emboss, blast+ suite…).

My own tools seem to be ok.

 

Just like you Edgar, nothing in the log…

 

Fred

 

De : galaxy-dev [mailto:[hidden email]] De la part de Fernandez Edgar
Envoyé : mercredi 14 juin 2017 17:11
À : [hidden email]
Objet : [galaxy-dev] new installation galaxy-17.05 - Uncaught error.

 

Hey Guys,

 

Hope everyone is doing ok.

 

I have a small issue with a brand new installation of galaxy-1705.

It starts properly and I installed some tools.

But when I try to test any tools I get and “Uncaught error” (see picture).

 

I can’t find anywhere in the logs what is happening.

 

Any ideas?

 

Regards,

 

Edgar Fernandez

System Administrator (Linux)

Technologies de l'Information

Université de Montréal

 

PAVILLON ROGER-GAUDRY, bureau X-210

(  Bur. : 1-514-343-6111 poste 16568

 


___________________________________________________________
Please keep all replies on the list by using "reply all"
in your mail client.  To manage your subscriptions to this
and other Galaxy lists, please use the interface at:
  https://lists.galaxyproject.org/

To search Galaxy mailing lists use the unified search at:
  http://galaxyproject.org/search/
| Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: new installation galaxy-17.05 - Uncaught error.

fernandez Edgar

Hello Frederic,

 

I actually just fixed the problem not 5 minutes ago…

In your file: /etc/httpd/vhosts.d/galaxy_prod.conf

Add the following line: AllowEncodedSlashes NoDecode

 

Please let me know what you think…

 

Regards,

 

Edgar Fernandez

System Administrator (Linux)

Technologies de l'Information

Université de Montréal

 

PAVILLON ROGER-GAUDRY, bureau X-210

(  Bur. : 1-514-343-6111 poste 16568

 

From: SAPET, Frederic [mailto:[hidden email]]
Sent: June 15, 2017 10:36 AM
To: Fernandez Edgar <[hidden email]>; [hidden email]
Subject: RE: [galaxy-dev] new installation galaxy-17.05 - Uncaught error.

 

Hi

 

Same for me.

But It looks like to be related with tools installed via the toolshed (Ie : bedtools, emboss, blast+ suite…).

My own tools seem to be ok.

 

Just like you Edgar, nothing in the log…

 

Fred

 

De : galaxy-dev [[hidden email]] De la part de Fernandez Edgar
Envoyé : mercredi 14 juin 2017 17:11
À : [hidden email]
Objet : [galaxy-dev] new installation galaxy-17.05 - Uncaught error.

 

Hey Guys,

 

Hope everyone is doing ok.

 

I have a small issue with a brand new installation of galaxy-1705.

It starts properly and I installed some tools.

But when I try to test any tools I get and “Uncaught error” (see picture).

 

I can’t find anywhere in the logs what is happening.

 

Any ideas?

 

Regards,

 

Edgar Fernandez

System Administrator (Linux)

Technologies de l'Information

Université de Montréal

 

PAVILLON ROGER-GAUDRY, bureau X-210

(  Bur. : 1-514-343-6111 poste 16568

 


___________________________________________________________
Please keep all replies on the list by using "reply all"
in your mail client.  To manage your subscriptions to this
and other Galaxy lists, please use the interface at:
  https://lists.galaxyproject.org/

To search Galaxy mailing lists use the unified search at:
  http://galaxyproject.org/search/
| Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: new installation galaxy-17.05 - Uncaught error.

Nicola Soranzo-2
In reply to this post by SAPET, Frederic
Hi Edgar, Frederic,
if you are using Apache as proxy for your Galaxy server, then you should probably add

AllowEncodedSlashes NoDecode

to your Apache config, see https://galaxyproject.org/admin/config/apache-proxy/#allow-encoded-slashes-in-urls

Cheers,
Nicola

On 15/06/17 15:35, SAPET, Frederic wrote:

Hi

 

Same for me.

But It looks like to be related with tools installed via the toolshed (Ie : bedtools, emboss, blast+ suite…).

My own tools seem to be ok.

 

Just like you Edgar, nothing in the log…

 

Fred

 

De : galaxy-dev [[hidden email]] De la part de Fernandez Edgar
Envoyé : mercredi 14 juin 2017 17:11
À : [hidden email]
Objet : [galaxy-dev] new installation galaxy-17.05 - Uncaught error.

 

Hey Guys,

 

Hope everyone is doing ok.

 

I have a small issue with a brand new installation of galaxy-1705.

It starts properly and I installed some tools.

But when I try to test any tools I get and “Uncaught error” (see picture).

 

I can’t find anywhere in the logs what is happening.

 

Any ideas?

 

Regards,

 

Edgar Fernandez

System Administrator (Linux)

Technologies de l'Information

Université de Montréal

 

PAVILLON ROGER-GAUDRY, bureau X-210

(  Bur. : 1-514-343-6111 poste 16568

 



___________________________________________________________
Please keep all replies on the list by using "reply all"
in your mail client.  To manage your subscriptions to this
and other Galaxy lists, please use the interface at:
  https://lists.galaxyproject.org/

To search Galaxy mailing lists use the unified search at:
  http://galaxyproject.org/search/


___________________________________________________________
Please keep all replies on the list by using "reply all"
in your mail client.  To manage your subscriptions to this
and other Galaxy lists, please use the interface at:
  https://lists.galaxyproject.org/

To search Galaxy mailing lists use the unified search at:
  http://galaxyproject.org/search/
| Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: new installation galaxy-17.05 - Uncaught error.

SAPET, Frederic
In reply to this post by fernandez Edgar

Hello,

 

Nice !

Thank you for the help.

 

Regards,

 

Fred

 

De : Fernandez Edgar [mailto:[hidden email]]
Envoyé : jeudi 15 juin 2017 16:41
À : SAPET, Frederic <[hidden email]>; [hidden email]
Objet : RE: [galaxy-dev] new installation galaxy-17.05 - Uncaught error.

 

Hello Frederic,

 

I actually just fixed the problem not 5 minutes ago…

In your file: /etc/httpd/vhosts.d/galaxy_prod.conf

Add the following line: AllowEncodedSlashes NoDecode

 

Please let me know what you think…

 

Regards,

 

Edgar Fernandez

System Administrator (Linux)

Technologies de l'Information

Université de Montréal

 

PAVILLON ROGER-GAUDRY, bureau X-210

(  Bur. : 1-514-343-6111 poste 16568

 

From: SAPET, Frederic [[hidden email]]
Sent: June 15, 2017 10:36 AM
To: Fernandez Edgar <[hidden email]>; [hidden email]
Subject: RE: [galaxy-dev] new installation galaxy-17.05 - Uncaught error.

 

Hi

 

Same for me.

But It looks like to be related with tools installed via the toolshed (Ie : bedtools, emboss, blast+ suite…).

My own tools seem to be ok.

 

Just like you Edgar, nothing in the log…

 

Fred

 

De : galaxy-dev [[hidden email]] De la part de Fernandez Edgar
Envoyé : mercredi 14 juin 2017 17:11
À : [hidden email]
Objet : [galaxy-dev] new installation galaxy-17.05 - Uncaught error.

 

Hey Guys,

 

Hope everyone is doing ok.

 

I have a small issue with a brand new installation of galaxy-1705.

It starts properly and I installed some tools.

But when I try to test any tools I get and “Uncaught error” (see picture).

 

I can’t find anywhere in the logs what is happening.

 

Any ideas?

 

Regards,

 

Edgar Fernandez

System Administrator (Linux)

Technologies de l'Information

Université de Montréal

 

PAVILLON ROGER-GAUDRY, bureau X-210

(  Bur. : 1-514-343-6111 poste 16568

 


___________________________________________________________
Please keep all replies on the list by using "reply all"
in your mail client.  To manage your subscriptions to this
and other Galaxy lists, please use the interface at:
  https://lists.galaxyproject.org/

To search Galaxy mailing lists use the unified search at:
  http://galaxyproject.org/search/
| Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: new installation galaxy-17.05 - Uncaught error.

fernandez Edgar
In reply to this post by Nicola Soranzo-2

Thanks Nicola for the comfirmation.

 

Would you mind explaining a little more:

 

ProxyPass / http://127.0.0.1:8080/

Should I add this too?

 

Edgar Fernandez

System Administrator (Linux)

Technologies de l'Information

Université de Montréal

 

PAVILLON ROGER-GAUDRY, bureau X-210

(  Bur. : 1-514-343-6111 poste 16568

 

From: Nicola Soranzo [mailto:[hidden email]] On Behalf Of Nicola Soranzo
Sent: June 15, 2017 10:44 AM
To: SAPET, Frederic <[hidden email]>; Fernandez Edgar <[hidden email]>; [hidden email]
Subject: Re: [galaxy-dev] new installation galaxy-17.05 - Uncaught error.

 

Hi Edgar, Frederic,
if you are using Apache as proxy for your Galaxy server, then you should probably add

AllowEncodedSlashes NoDecode


to your Apache config, see https://galaxyproject.org/admin/config/apache-proxy/#allow-encoded-slashes-in-urls

Cheers,
Nicola

On 15/06/17 15:35, SAPET, Frederic wrote:

Hi

 

Same for me.

But It looks like to be related with tools installed via the toolshed (Ie : bedtools, emboss, blast+ suite…).

My own tools seem to be ok.

 

Just like you Edgar, nothing in the log…

 

Fred

 

De : galaxy-dev [[hidden email]] De la part de Fernandez Edgar
Envoyé : mercredi 14 juin 2017 17:11
À :
[hidden email]
Objet : [galaxy-dev] new installation galaxy-17.05 - Uncaught error.

 

Hey Guys,

 

Hope everyone is doing ok.

 

I have a small issue with a brand new installation of galaxy-1705.

It starts properly and I installed some tools.

But when I try to test any tools I get and “Uncaught error” (see picture).

 

I can’t find anywhere in the logs what is happening.

 

Any ideas?

 

Regards,

 

Edgar Fernandez

System Administrator (Linux)

Technologies de l'Information

Université de Montréal

 

PAVILLON ROGER-GAUDRY, bureau X-210

(  Bur. : 1-514-343-6111 poste 16568

 




___________________________________________________________
Please keep all replies on the list by using "reply all"
in your mail client.  To manage your subscriptions to this
and other Galaxy lists, please use the interface at:
  https://lists.galaxyproject.org/
 
To search Galaxy mailing lists use the unified search at:
  http://galaxyproject.org/search/

 


___________________________________________________________
Please keep all replies on the list by using "reply all"
in your mail client.  To manage your subscriptions to this
and other Galaxy lists, please use the interface at:
  https://lists.galaxyproject.org/

To search Galaxy mailing lists use the unified search at:
  http://galaxyproject.org/search/
| Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: new installation galaxy-17.05 - Uncaught error.

SAPET, Frederic
In reply to this post by Nicola Soranzo-2

Hello,

 

Thank you as well,

 

Is that a new behavior with 17.05 ?  I use the Apache proxy since a while without any problem, with previous versions of Galaxy.

 

Regards,

 

Fred

 

 

De : Nicola Soranzo [mailto:[hidden email]] De la part de Nicola Soranzo
Envoyé : jeudi 15 juin 2017 16:44
À : SAPET, Frederic <[hidden email]>; Fernandez Edgar <[hidden email]>; [hidden email]
Objet : Re: [galaxy-dev] new installation galaxy-17.05 - Uncaught error.

 

Hi Edgar, Frederic,
if you are using Apache as proxy for your Galaxy server, then you should probably add

AllowEncodedSlashes NoDecode


to your Apache config, see https://galaxyproject.org/admin/config/apache-proxy/#allow-encoded-slashes-in-urls

Cheers,
Nicola

On 15/06/17 15:35, SAPET, Frederic wrote:

Hi

 

Same for me.

But It looks like to be related with tools installed via the toolshed (Ie : bedtools, emboss, blast+ suite…).

My own tools seem to be ok.

 

Just like you Edgar, nothing in the log…

 

Fred

 

De : galaxy-dev [[hidden email]] De la part de Fernandez Edgar
Envoyé : mercredi 14 juin 2017 17:11
À : [hidden email]
Objet : [galaxy-dev] new installation galaxy-17.05 - Uncaught error.

 

Hey Guys,

 

Hope everyone is doing ok.

 

I have a small issue with a brand new installation of galaxy-1705.

It starts properly and I installed some tools.

But when I try to test any tools I get and “Uncaught error” (see picture).

 

I can’t find anywhere in the logs what is happening.

 

Any ideas?

 

Regards,

 

Edgar Fernandez

System Administrator (Linux)

Technologies de l'Information

Université de Montréal

 

PAVILLON ROGER-GAUDRY, bureau X-210

(  Bur. : 1-514-343-6111 poste 16568

 




___________________________________________________________
Please keep all replies on the list by using "reply all"
in your mail client.  To manage your subscriptions to this
and other Galaxy lists, please use the interface at:
  https://lists.galaxyproject.org/
 
To search Galaxy mailing lists use the unified search at:
  http://galaxyproject.org/search/

 


___________________________________________________________
Please keep all replies on the list by using "reply all"
in your mail client.  To manage your subscriptions to this
and other Galaxy lists, please use the interface at:
  https://lists.galaxyproject.org/

To search Galaxy mailing lists use the unified search at:
  http://galaxyproject.org/search/
| Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: new installation galaxy-17.05 - Uncaught error.

Nicola Soranzo-2
Hi Fred,

It was already needed for data manager tools in 17.01, it seems it's needed for all tools installed from the ToolShed since 17.05, but I use nginx, not Apache.

Cheers,
Nicola

On 15/06/17 15:57, SAPET, Frederic wrote:

Hello,

 

Thank you as well,

 

Is that a new behavior with 17.05 ?  I use the Apache proxy since a while without any problem, with previous versions of Galaxy.

 

Regards,

 

Fred

 

 

De : Nicola Soranzo [[hidden email]] De la part de Nicola Soranzo
Envoyé : jeudi 15 juin 2017 16:44
À : SAPET, Frederic [hidden email]; Fernandez Edgar [hidden email]; [hidden email]
Objet : Re: [galaxy-dev] new installation galaxy-17.05 - Uncaught error.

 

Hi Edgar, Frederic,
if you are using Apache as proxy for your Galaxy server, then you should probably add

AllowEncodedSlashes NoDecode


to your Apache config, see https://galaxyproject.org/admin/config/apache-proxy/#allow-encoded-slashes-in-urls

Cheers,
Nicola

On 15/06/17 15:35, SAPET, Frederic wrote:

Hi

 

Same for me.

But It looks like to be related with tools installed via the toolshed (Ie : bedtools, emboss, blast+ suite…).

My own tools seem to be ok.

 

Just like you Edgar, nothing in the log…

 

Fred

 

De : galaxy-dev [[hidden email]] De la part de Fernandez Edgar
Envoyé : mercredi 14 juin 2017 17:11
À : [hidden email]
Objet : [galaxy-dev] new installation galaxy-17.05 - Uncaught error.

 

Hey Guys,

 

Hope everyone is doing ok.

 

I have a small issue with a brand new installation of galaxy-1705.

It starts properly and I installed some tools.

But when I try to test any tools I get and “Uncaught error” (see picture).

 

I can’t find anywhere in the logs what is happening.

 

Any ideas?

 

Regards,

 

Edgar Fernandez

System Administrator (Linux)

Technologies de l'Information

Université de Montréal

 

PAVILLON ROGER-GAUDRY, bureau X-210

(  Bur. : 1-514-343-6111 poste 16568

 




___________________________________________________________
Please keep all replies on the list by using "reply all"
in your mail client.  To manage your subscriptions to this
and other Galaxy lists, please use the interface at:
  https://lists.galaxyproject.org/
 
To search Galaxy mailing lists use the unified search at:
  http://galaxyproject.org/search/

 



___________________________________________________________
Please keep all replies on the list by using "reply all"
in your mail client.  To manage your subscriptions to this
and other Galaxy lists, please use the interface at:
  https://lists.galaxyproject.org/

To search Galaxy mailing lists use the unified search at:
  http://galaxyproject.org/search/
| Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: new installation galaxy-17.05 - Uncaught error.

Nicola Soranzo-2
In reply to this post by fernandez Edgar
According to the same documentation, you need it only if using the mod_proxy Apache module with HTTP transport, but I'm using nginx, not Apache, so I'm not the best person to ask.

Cheers,
Nicola

On 15/06/17 15:55, Fernandez Edgar wrote:

Thanks Nicola for the comfirmation.

 

Would you mind explaining a little more:

 

ProxyPass / http://127.0.0.1:8080/

Should I add this too?

 

Edgar Fernandez

System Administrator (Linux)

Technologies de l'Information

Université de Montréal

 

PAVILLON ROGER-GAUDRY, bureau X-210

(  Bur. : 1-514-343-6111 poste 16568

 

From: Nicola Soranzo [[hidden email]] On Behalf Of Nicola Soranzo
Sent: June 15, 2017 10:44 AM
To: SAPET, Frederic [hidden email]; Fernandez Edgar [hidden email]; [hidden email]
Subject: Re: [galaxy-dev] new installation galaxy-17.05 - Uncaught error.

 

Hi Edgar, Frederic,
if you are using Apache as proxy for your Galaxy server, then you should probably add

AllowEncodedSlashes NoDecode


to your Apache config, see https://galaxyproject.org/admin/config/apache-proxy/#allow-encoded-slashes-in-urls

Cheers,
Nicola

On 15/06/17 15:35, SAPET, Frederic wrote:

Hi

 

Same for me.

But It looks like to be related with tools installed via the toolshed (Ie : bedtools, emboss, blast+ suite…).

My own tools seem to be ok.

 

Just like you Edgar, nothing in the log…

 

Fred

 

De : galaxy-dev [[hidden email]] De la part de Fernandez Edgar
Envoyé : mercredi 14 juin 2017 17:11
À :
[hidden email]
Objet : [galaxy-dev] new installation galaxy-17.05 - Uncaught error.

 

Hey Guys,

 

Hope everyone is doing ok.

 

I have a small issue with a brand new installation of galaxy-1705.

It starts properly and I installed some tools.

But when I try to test any tools I get and “Uncaught error” (see picture).

 

I can’t find anywhere in the logs what is happening.

 

Any ideas?

 

Regards,

 

Edgar Fernandez

System Administrator (Linux)

Technologies de l'Information

Université de Montréal

 

PAVILLON ROGER-GAUDRY, bureau X-210

(  Bur. : 1-514-343-6111 poste 16568

 




___________________________________________________________
Please keep all replies on the list by using "reply all"
in your mail client.  To manage your subscriptions to this
and other Galaxy lists, please use the interface at:
  https://lists.galaxyproject.org/
 
To search Galaxy mailing lists use the unified search at:
  http://galaxyproject.org/search/

 



___________________________________________________________
Please keep all replies on the list by using "reply all"
in your mail client.  To manage your subscriptions to this
and other Galaxy lists, please use the interface at:
  https://lists.galaxyproject.org/

To search Galaxy mailing lists use the unified search at:
  http://galaxyproject.org/search/
| Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: new installation galaxy-17.05 - Uncaught error.

Aysam Guerler
Hey,

We are trying to resolve the issue so that others do not have to change the Apache settings.

Is it possible to test this potential fix here: https://github.com/galaxyproject/galaxy/pull/4225 and comment on the issue?

Thanks in advance,
Sam

On Thu, Jun 15, 2017 at 5:13 PM, Nicola Soranzo <[hidden email]> wrote:
According to the same documentation, you need it only if using the mod_proxy Apache module with HTTP transport, but I'm using nginx, not Apache, so I'm not the best person to ask.

Cheers,
Nicola


On 15/06/17 15:55, Fernandez Edgar wrote:

Thanks Nicola for the comfirmation.

 

Would you mind explaining a little more:

 

ProxyPass / http://127.0.0.1:8080/

Should I add this too?

 

Edgar Fernandez

System Administrator (Linux)

Technologies de l'Information

Université de Montréal

 

PAVILLON ROGER-GAUDRY, bureau X-210

(  Bur. : <a href="tel:(514)%20343-6111" value="+15143436111" target="_blank">1-514-343-6111 poste 16568

 

From: Nicola Soranzo [[hidden email]] On Behalf Of Nicola Soranzo
Sent: June 15, 2017 10:44 AM
To: SAPET, Frederic [hidden email]; Fernandez Edgar [hidden email]; [hidden email]
Subject: Re: [galaxy-dev] new installation galaxy-17.05 - Uncaught error.

 

Hi Edgar, Frederic,
if you are using Apache as proxy for your Galaxy server, then you should probably add

AllowEncodedSlashes NoDecode


to your Apache config, see https://galaxyproject.org/admin/config/apache-proxy/#allow-encoded-slashes-in-urls

Cheers,
Nicola

On 15/06/17 15:35, SAPET, Frederic wrote:

Hi

 

Same for me.

But It looks like to be related with tools installed via the toolshed (Ie : bedtools, emboss, blast+ suite…).

My own tools seem to be ok.

 

Just like you Edgar, nothing in the log…

 

Fred

 

De : galaxy-dev [[hidden email]] De la part de Fernandez Edgar
Envoyé : mercredi 14 juin 2017 17:11
À :
[hidden email]
Objet : [galaxy-dev] new installation galaxy-17.05 - Uncaught error.

 

Hey Guys,

 

Hope everyone is doing ok.

 

I have a small issue with a brand new installation of galaxy-1705.

It starts properly and I installed some tools.

But when I try to test any tools I get and “Uncaught error” (see picture).

 

I can’t find anywhere in the logs what is happening.

 

Any ideas?

 

Regards,

 

Edgar Fernandez

System Administrator (Linux)

Technologies de l'Information

Université de Montréal

 

PAVILLON ROGER-GAUDRY, bureau X-210

(  Bur. : <a href="tel:(514)%20343-6111" value="+15143436111" target="_blank">1-514-343-6111 poste 16568

 




___________________________________________________________
Please keep all replies on the list by using "reply all"
in your mail client.  To manage your subscriptions to this
and other Galaxy lists, please use the interface at:
  https://lists.galaxyproject.org/
 
To search Galaxy mailing lists use the unified search at:
  http://galaxyproject.org/search/

 



___________________________________________________________
Please keep all replies on the list by using "reply all"
in your mail client.  To manage your subscriptions to this
and other Galaxy lists, please use the interface at:
  https://lists.galaxyproject.org/

To search Galaxy mailing lists use the unified search at:
  http://galaxyproject.org/search/


___________________________________________________________
Please keep all replies on the list by using "reply all"
in your mail client.  To manage your subscriptions to this
and other Galaxy lists, please use the interface at:
  https://lists.galaxyproject.org/

To search Galaxy mailing lists use the unified search at:
  http://galaxyproject.org/search/
Loading...